View Issue Details

IDProjectCategoryView StatusLast Update
0005470Talerauditorpublic2020-03-31 16:04
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.7.0Fixed in Version0.7.0 
Summary0005470: auditor needs proper testing
DescriptionCurrently, taler-auditor-httpd and taler-auditor and taler-wire-auditor are not tested at all by automated tests.

We need to have some of the usual scripted tests (via interpreter loop) plus should deploy schema fuzz to improve coverage.

The auditor is likely full of holes in terms of properly handling violations in the database (i.e. report+crash or crash instead of just report+continue).
TagsNo tags attached.

Activities

Christian Grothoff

2019-11-14 22:25

manager   ~0015074

Last edited: 2020-01-20 12:21

View 2 revisions

Blocked on taler-wallet-cli exercising recoup.

Christian Grothoff

2020-02-25 00:12

manager   ~0015404

Don't forget about me ;-).

Christian Grothoff

2020-03-27 11:33

manager   ~0015467

What's primarily missing right now is test_32 in test-auditor.sh, which is not yet working and should test certain case of the aggregator logic (which unexpectedly are not triggered).

Issue History

Date Modified Username Field Change
2018-11-04 17:45 Christian Grothoff New Issue
2018-11-04 17:45 Christian Grothoff Status new => assigned
2018-11-04 17:45 Christian Grothoff Assigned To => Christian Grothoff
2019-11-14 22:25 Christian Grothoff Note Added: 0015074
2020-01-20 12:21 Christian Grothoff Note Edited: 0015074 View Revisions
2020-01-20 12:21 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2020-02-25 00:12 Christian Grothoff Note Added: 0015404
2020-03-27 11:30 Christian Grothoff Assigned To Florian Dold => Christian Grothoff
2020-03-27 11:33 Christian Grothoff Target Version 0.7.1 => 0.7.0
2020-03-27 11:33 Christian Grothoff Note Added: 0015467
2020-03-28 13:36 Christian Grothoff Status assigned => resolved
2020-03-28 13:36 Christian Grothoff Resolution open => fixed
2020-03-28 13:36 Christian Grothoff Fixed in Version => 0.7.0
2020-03-31 16:04 Christian Grothoff Status resolved => closed